Loading...
Searching...
No Matches
irr::core::list< T >::Iterator Class Reference

List iterator. More...

`#include <irrList.h>`

## Public Member Functions

| Iterator ()
bool | operator!= (const ConstIterator &other) const
bool | operator!= (const Iterator &other) const
T & | operator* ()
Iterator | operator+ (s32 num) const
Iterator & | operator++ ()
Iterator | operator++ (s32)
Iterator & | operator+= (s32 num)
Iterator | operator- (s32 num) const
Iterator & | operator-- ()
Iterator | operator-- (s32)
Iterator & | operator-= (s32 num)
T * | operator-> ()
bool | operator== (const ConstIterator &other) const
bool | operator== (const Iterator &other) const

## Friends

class | ConstIterator
class | list< T >

## Detailed Description

template<class T>
class irr::core::list< T >::Iterator

List iterator.

Definition at line 38 of file irrList.h.

## Constructor & Destructor Documentation

## Iterator()

template<class T>

irr::core::list< T >::Iterator::Iterator | ( |  | ) |

inline

Definition at line 41 of file irrList.h.

Referenced by operator!=(), operator+(), operator++(), operator++(), operator+=(), operator-(), operator--(), operator--(), operator-=(), and operator==().

## Member Function Documentation

## operator!=() [1/2]

template<class T>

bool irr::core::list< T >::Iterator::operator!= | ( | const ConstIterator & | other | ) | const

inline

Definition at line 68 of file irrList.h.

References ConstIterator.

## operator!=() [2/2]

template<class T>

bool irr::core::list< T >::Iterator::operator!= | ( | const Iterator & | other | ) | const

inline

Definition at line 66 of file irrList.h.

References Iterator().

## operator*()

template<class T>

T & irr::core::list< T >::Iterator::operator* | ( |  | ) |

inline

Definition at line 74 of file irrList.h.

## operator+()

template<class T>

Iterator irr::core::list< T >::Iterator::operator+ | ( | s32 | num | ) | const

inline

Definition at line 61 of file irrList.h.

References Iterator().

## operator++() [1/2]

template<class T>

Iterator & irr::core::list< T >::Iterator::operator++ | ( |  | ) |

inline

Definition at line 43 of file irrList.h.

References Iterator().

## operator++() [2/2]

template<class T>

Iterator irr::core::list< T >::Iterator::operator++ | ( | s32 |  | ) |

inline

Definition at line 45 of file irrList.h.

References Iterator().

## operator+=()

template<class T>

Iterator & irr::core::list< T >::Iterator::operator+= | ( | s32 | num | ) |

inline

Definition at line 48 of file irrList.h.

References Iterator().

## operator-()

template<class T>

Iterator irr::core::list< T >::Iterator::operator- | ( | s32 | num | ) | const

inline

Definition at line 63 of file irrList.h.

References Iterator().

## operator--() [1/2]

template<class T>

Iterator & irr::core::list< T >::Iterator::operator-- | ( |  | ) |

inline

Definition at line 44 of file irrList.h.

References Iterator().

## operator--() [2/2]

template<class T>

Iterator irr::core::list< T >::Iterator::operator-- | ( | s32 |  | ) |

inline

Definition at line 46 of file irrList.h.

References Iterator().

## operator-=()

template<class T>

Iterator & irr::core::list< T >::Iterator::operator-= | ( | s32 | num | ) |

inline

Definition at line 62 of file irrList.h.

References Iterator().

## operator->()

template<class T>

T * irr::core::list< T >::Iterator::operator-> | ( |  | ) |

inline

Definition at line 75 of file irrList.h.

## operator==() [1/2]

template<class T>

bool irr::core::list< T >::Iterator::operator== | ( | const ConstIterator & | other | ) | const

inline

Definition at line 67 of file irrList.h.

References ConstIterator.

## operator==() [2/2]

template<class T>

bool irr::core::list< T >::Iterator::operator== | ( | const Iterator & | other | ) | const

inline

Definition at line 65 of file irrList.h.

References Iterator().

## Friends And Related Symbol Documentation

## ConstIterator

template<class T>

friend class ConstIterator

friend

Definition at line 83 of file irrList.h.

References ConstIterator.

Referenced by ConstIterator, operator!=(), and operator==().

## list< T >

template<class T>

friend class list< T >

friend

Definition at line 80 of file irrList.h.

References irr::core::list< T >::list().

The documentation for this class was generated from the following file:

- irrList.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0